Loading...
Searching...
No Matches
smartlock::DoorAccessControl::DoorAccessDeniedEvent Struct Reference

Event: Door access denied. More...

Inheritance diagram for smartlock::DoorAccessControl::DoorAccessDeniedEvent:

## Public Attributes

DoorAccessDenialReason | reason
| A DoorAccessDenialReason, specifying why the access was denied.
int | ruleId
| A matching rule that could not be fulfilled or -1 if no matching rule.
string | ruleName
| Name of the rule that could not be fulfilled or empty if no matching rule.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Door access denied.

This event will only be triggered if at least one DoorAccessRule exists and a card was inserted or keypad PIN entered, but none of the defined rules were sufficiently fulfilled to grant access.

If matching rules are found, this will be triggered for every matching rule that could not be fulfilled. Otherwise it will only be triggered once with the according DoorAccessDenialReason.

The documentation for this struct was generated from the following file:

- DoorAccessControl.idl